/**
 * Copyright 2009 Ashley Williams
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package acme.util;

import java.io.File;
import java.io.IOException;

/**
 * This simplistic class exists in a separate package so that we can check the
 * compile feature is able to compile individually specified packages.
 * 
 * @author Ashley Williams
 * 
 */
public final class AcmeUtil {
	/**
	 * Used as a variable in sample.txt and tested in AssertDirConf.
	 */
	public static final String CONSTANT = "AcmeUtil constant";

	public static void createFile(String file) {
		try {
			new File(file).createNewFile();
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}

	public static void throwException() {
		throw new RuntimeException("acme task failed");
	}

}
