package org.basic.system;

import org.basic.core.BasicCore;

import protoj.lang.StandardProject;

/**
 * A very basic but valid project.
 * 
 * @author Ashley Williams
 * 
 */
public final class BasicProject {
	public static void main(String[] args) {
		BasicCore core = new BasicCore(args);
		StandardProject project = core.getProject();

		// the specified amount of memory can be allocated by junit when the
		// tests are exeucted
		project.initJunit("16m");

		// the specified project classes, source code and javadoc archives are
		// be created when the "archive" command is executed at the command line
		project.getArchiveFeature().initProjectArchive("basic", "basic");
		project.getArchiveFeature().addClasses("basic");
		project.getArchiveFeature().addSources("basic");
		project.getArchiveFeature().addJavadoc("basic", "16m");
		project.getCommandStore().addCommand("hello-basic", "16m",
				new Runnable() {
					public void run() {
						System.out.println("hello from this sample project!");
					}
				}).initHelpString("writes to the console");

		// a project specific command is required that outputs a greeting to
		// the command line in response to the "hello-basic" command
		core.dispatchCommands();
	}
}
